<h1>{{ listing.address }}</h1>
<mat-tab-group dynamicHeight animationDuration="0ms">
  <mat-tab label="Summary">
    <form [formGroup]="listingDataGroup">
      <mat-slide-toggle
        (change)="toggleEdit(listingDataGroup)"
        [checked]="editing">Edit Data</mat-slide-toggle>
      <br>
      <mat-form-field appearance="outline">
        <mat-label>Address</mat-label>
        <input matInput [formControl]="addressControl">
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Zipcode</mat-label>
        <input matInput [formControl]="zipcodeControl">
      </mat-form-field>
      <mat-divider></mat-divider>
      <mat-form-field appearance="outline">
        <mat-label>Bedrooms</mat-label>
        <input matInput [formControl]="bedroomControl">
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Full Bath</mat-label>
        <input matInput [formControl]="fullBathControl">
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Half Bath</mat-label>
        <input matInput [formControl]="halfBathControl">
      </mat-form-field>
    </form>
  </mat-tab>
  <mat-tab label="Interior Features">
  </mat-tab>
  <mat-tab label="Exterior Features">
  </mat-tab>
  <mat-tab label="Images">
  </mat-tab>
  <mat-tab label="Comments">
  </mat-tab>
  <mat-tab label="System" id='system'>
    <form [formGroup]="systemDataGroup">
      <mat-slide-toggle
        (change)="toggleEdit(systemDataGroup)"
        [checked]="editing">Edit  Data</mat-slide-toggle>
      <br>
      <mat-form-field appearance="outline">
        <mat-label>URL</mat-label>
        <input matInput type="text" [formControl]="urlControl">
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Hash</mat-label>
        <input matInput type="text" [formControl]="hashControl">
        <button
          mat-raised-button
          matSuffix
          (click)="refreshQRCode()"
          aria-label="Regenerate QR Code"
          color="accent"
          *ngIf="editing">
          <mat-icon>refresh</mat-icon>
        </button>
      </mat-form-field>
      <br>
      <mat-form-field appearance="outline">
        <mat-label>Owner</mat-label>
        <input matInput type="text" [formControl]="ownerControl">
      </mat-form-field>
      <br>
    </form>
  </mat-tab>
</mat-tab-group>
